Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface RaiseExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  RaiseExpImpl

    public interface RaiseExp

extends ImperativeExpression

A representation of the model object 'Raise Exp'.

The following features are supported:

- `Argument`
- `Exception`

See Also:
  `ImperativeOCLPackage.getRaiseExp()`

Method Summary
`OCLExpression` | `getArgument()` Returns the value of the 'Argument' containment reference
`EClassifier` | `getException()` Returns the value of the 'Exception' reference
`void` | `setArgument(OCLExpression value)` Sets the value of the '`Argument`' containment reference
`void` | `setException(EClassifier value)` Sets the value of the '`Exception`' reference

Method Detail

### getArgument

    OCLExpression getArgument()

  Returns the value of the 'Argument' containment reference.

  If the meaning of the 'Argument' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Argument' containment reference.
  See Also:
    `setArgument(OCLExpression)`, `ImperativeOCLPackage.getRaiseExp_Argument()`

### setArgument

    void setArgument(OCLExpression value)

  Sets the value of the '`Argument`' containment reference.

  Parameters:
    `value` - the new value of the 'Argument' containment reference.
  See Also:
    `getArgument()`

### getException

    EClassifier getException()

  Returns the value of the 'Exception' reference.

  If the meaning of the 'Exception' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Exception' reference.
  See Also:
    `setException(EClassifier)`, `ImperativeOCLPackage.getRaiseExp_Exception()`

### setException

    void setException(EClassifier value)

  Sets the value of the '`Exception`' reference.

  Parameters:
    `value` - the new value of the 'Exception' reference.
  See Also:
    `getException()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD